angular.module('luticate')
    .controller('UsersController', ['$scope', '$state', 'luticateAuthUsers',
        function($scope, $state, luticateAuthUsers) {
            $scope.page = 0;
            $scope.perPage = 20;
            $scope.users = [];
            $scope.pages = [];

            var promiseUsers = {
                id: "promiseUsers",
                groups: ['userList']
            };

            $scope.loadUsers = function()
            {
                luticateAuthUsers.getAll({page: $scope.page, perPage: $scope.perPage}, promiseUsers)
                    .then(function(users)
                    {
                        $scope.users = users;
                        $scope.pages = [];
                        var start = Math.max(0, $scope.page - 5);
                        var end = Math.min(start + 10, (users.Count / $scope.perPage) + (users.Count % $scope.perPage == 0 ? -1 : 0));
                        for (var i = start; i < end; ++i) {
                            $scope.pages.push(i);
                        }
                    }, function(error)
                    {
                    });
            };

            $scope.goToPage = function(page)
            {
                $scope.page = page;
                $scope.loadUsers();
            };

            $scope.loadUsers();
    }]);
